package com.kmall.common.utils.wechat.wxglobal.dto;

import java.util.List;

/**
 * 请求微信境外退款查询返回的字段
 * @author huangyaqin
 * @version 1.0
 * 2018-12-11 10:22
 */
public class WechatGlobalRefundQueryResult {

    private String code;
    private String message;
    private DetailDto detail;

    private String xmlStr;
    private String appid;
    private String id;//微信支付交易订单号
    private String mchid;
    private String out_trade_no;//商户订单号
    private RefundAmountAsynNotifyDto amount;
    private List<WechatGlobalRefundQueryDto> data;
    private Integer total_num;//订单总退款次数
    private Integer current_total_num;//本次返回退款单数

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DetailDto getDetail() {
        return detail;
    }

    public void setDetail(DetailDto detail) {
        this.detail = detail;
    }

    public String getXmlStr() {
        return xmlStr;
    }

    public void setXmlStr(String xmlStr) {
        this.xmlStr = xmlStr;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMchid() {
        return mchid;
    }

    public void setMchid(String mchid) {
        this.mchid = mchid;
    }

    public String getOut_trade_no() {
        return out_trade_no;
    }

    public void setOut_trade_no(String out_trade_no) {
        this.out_trade_no = out_trade_no;
    }

    public RefundAmountAsynNotifyDto getAmount() {
        return amount;
    }

    public void setAmount(RefundAmountAsynNotifyDto amount) {
        this.amount = amount;
    }

    public List<WechatGlobalRefundQueryDto> getData() {
        return data;
    }

    public void setData(List<WechatGlobalRefundQueryDto> data) {
        this.data = data;
    }

    public Integer getTotal_num() {
        return total_num;
    }

    public void setTotal_num(Integer total_num) {
        this.total_num = total_num;
    }

    public Integer getCurrent_total_num() {
        return current_total_num;
    }

    public void setCurrent_total_num(Integer current_total_num) {
        this.current_total_num = current_total_num;
    }
}
